Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 18 May 2019 19:56:10 -0700

"Basil L. Contovounesios" <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>>> I noticed gnus-start.el (already) uses seq.el functions without first
>>> loading the library, so how about the following minor addendum?
>>
>> It does require gnus.el, though, which requires seq, so I figured that
>> was good enough -- no compiler warnings, anyway.
>
> I think it's customary (if not better) for each translation unit to load
> its own dependencies, without depending on dependencies to do so, but I
> don't know whether this falls in bikeshedding territory.

I don't know if that's policy, TBH, but in the case of Gnus it would
result in a fair amount of churn, I'm not sure it's worth it...